-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive\tedw_apps\gtm\pkg\v211\cdw\ddl\gtm_cdw_schema.sql
-- SID: 1.13
-- Date Modified: 03/10/10 14:22:58
-----
-- Creates staging tables for tbsm etl
-----

create table GTM.stage_deletedlob (
	sourceid integer,
	comp_source_id integer,
	targetid integer,
	comp_target_id integer,
	softflag smallint,
	deldate timestamp
);
create table GTM.stage_deletedlob_template like GTM.stage_deletedlob;

create table GTM.stage_renamedlob (
	id integer,
	comp_id integer,
	newname varchar(254),
	changedate timestamp
);
create table GTM.stage_renamedlob_template like GTM.stage_renamedlob;

create table GTM.stage_newlob (
	sourceid integer,
	comp_source_id integer,
	targetid integer,
	comp_target_id integer,
	softflag smallint,
	adddate timestamp,
	name varchar(254),
	description varchar(254),
	lobl_id int,
	comp_lobl_id int
);
create table GTM.stage_newlob_template like GTM.stage_newlob;

create table GTM.stage_lobprcstate (
	id integer,
	msmttyp_nm varchar(120),
	msmt_strt_dt date,
	msmt_strt_tm time,
	msmt_avg_val float
);
create table GTM.stage_lobprcstate_template like GTM.stage_lobprcstate;

-----
-- Add stage table for GTM.stage_migr_comp for TSLA migration
-----
create table GTM.stage_migr_comp (
	orig_nm    varchar(255),
	orig_id    integer,
	new_nm     varchar(255),
	new_id     integer
);
create table GTM.stage_migr_comp_template like GTM.stage_migr_comp
;

-- create working table to expire the obsolete relationships
create table GTM.stage_del_compreln (
	compreln_id    	integer
);
create table GTM.stage_del_compreln_template like GTM.stage_del_compreln
;

-----
-- Creates cust and centr lookup tables
-----

create table GTM.cust_lookup (
	cust_id integer,
	value varchar(120)
);

create table GTM.centr_lookup (
	centr_cd char(6),
	value varchar(120)
);


-----
-- Add utility table migr_comp for TSLA migration
-----
create table GTM.migr_comp (
	ident      		int generated always as identity(start with 1, increment by 1),
	orig_nm    	varchar(255),
	orig_id    		integer,
	orig_ctype    	varchar(20),
	new_nm     	varchar(255),
	new_id     	integer,
	new_ctype    	varchar(20),
	create_dt  	timestamp,
	PRIMARY KEY (ident)
);

-----
-- Add new table twh_fix_ctrl to control the LA-fix or fix pack using the generic fix processes in GTM schema
-----
create table GTM.migr_ctrl (
	migr_id       int,
	migr_version  varchar(54),
	migrated_step varchar(254),
	applied_dt    timestamp
);

create table GTM.migr_ctrl_template like GTM.migr_ctrl;