-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive\tedw_apps\gtm\pkg\v210\cdw\dml\gtm_cdw_data.sql
-- SID: 1.7
-- Date Modified: 02/11/18 14:55:49

declare global temporary table msrc (
  MSrc_Cd              CHAR(6) NOT NULL,
  MSrc_Parent_Cd       CHAR(6),
  MSrc_Nm              VARCHAR(120) NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.msrc values ('GTM', 'Tivoli', 'Tivoli Business System Manager');

insert into twg.msrc
select * from session.msrc s
where not exists (
  select 1 from
  twg.msrc t where
  t.msrc_Cd = s.msrc_Cd
);

declare global temporary table msmttyp (
       MUnit_Cd             CHAR(6) NOT NULL,
       MSrc_Cd              CHAR(6) NOT NULL,
       MsmtTyp_Nm           VARCHAR(120) NOT NULL,
       MsmtTyp_Ds           VARCHAR(254)
)
with replace on commit preserve rows not logged
;

insert into session.msmttyp values
  ('PRC', 'GTM', 'LOB_state_unknown', 'LOB state unknown'),
  ('PRC', 'GTM', 'LOB_state_green', 'LOB state green'),
  ('PRC', 'GTM', 'LOB_state_yellow', 'LOB state yellow'),
  ('PRC', 'GTM', 'LOB_state_red', 'LOB state red')
;

insert into twg.msmttyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds)
select * from session.msmttyp s
where not exists (
  select 1 from
  twg.msmttyp t where
  t.msrc_cd=s.msrc_cd and t.msmttyp_nm=s.msmttyp_nm
);


declare global temporary table mgrptyp (
  MGrpTyp_Cd           CHAR(6) NOT NULL,
  MGrpTyp_Nm           VARCHAR(120) NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.MgrpTyp values ('STATE','State');

insert into twg.mgrptyp
select * from session.mgrptyp s
where not exists (
  select 1 from
  twg.mgrptyp t where
  t.mgrptyp_Cd = s.mgrptyp_Cd
);

declare global temporary table mgrp (
  MGrp_Cd              CHAR(6) NOT NULL,
  MGrpTyp_Cd           CHAR(6) NOT NULL,
  MGrp_Parent_Cd       CHAR(6),
  MGrp_Nm              VARCHAR(120) NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.MGrp values ('LOBSTA', 'STATE', NULL, 'Line of Business Status');

insert into twg.mgrp
select * from session.mgrp s
where not exists (
  select 1 from
  twg.mgrp t where
  t.mgrp_Cd = s.mgrp_Cd
);


declare global temporary table mgrpmbr (
       MGrp_Cd              CHAR(6) NOT NULL,
       MGrpTyp_Cd           CHAR(6) NOT NULL,
       MsmtTyp_ID           INTEGER NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.mgrpmbr values
  ('LOBSTA', 'STATE', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_unknown')),
  ('LOBSTA', 'STATE', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_green')),
  ('LOBSTA', 'STATE', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_yellow')),
  ('LOBSTA', 'STATE', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_red')),
  ('AVG_E', 'GROUP', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_unknown')),
  ('AVG_E', 'GROUP', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_green')),
  ('AVG_E', 'GROUP', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_yellow')),
  ('AVG_E', 'GROUP', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_red'))
;

insert into twg.mgrpmbr
select * from session.mgrpmbr s
where not exists (
  select 1 from
  twg.mgrpmbr t where
  t.mgrp_cd=s.mgrp_cd and t.mgrptyp_cd=s.mgrptyp_cd and t.msmttyp_id=s.msmttyp_id
);

declare global temporary table comptyp (
       CompTyp_Cd           CHAR(17) NOT NULL,
       CompTyp_Parent_Cd    CHAR(17),
       CompTyp_Nm           VARCHAR(120) NOT NULL,
       CompTyp_Strt_DtTm    TIMESTAMP NOT NULL,
       CompTyp_End_DtTm     TIMESTAMP NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.comptyp values ('TBSM_LOB', NULL, 'TBSM Line of Business', CURRENT TIMESTAMP - CURRENT TIMEZONE, '9999-01-01-00.00.00.000000');

insert into twg.comptyp
select * from session.comptyp s
where not exists (
  select 1 from
  twg.comptyp t where
  t.comptyp_cd=s.comptyp_cd
);

declare global temporary table attrtyp (
       AttrTyp_Cd           CHAR(17) NOT NULL,
       AttrTyp_Nm           VARCHAR(120) NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.attrtyp values ('TBSMNM', 'TBSM Component Name');

insert into twg.attrtyp
select * from session.attrtyp s
where not exists (
  select 1 from
  twg.attrtyp t where
  t.attrtyp_cd=s.attrtyp_cd
);

declare global temporary table AttrRul (
       CompTyp_Cd           CHAR(17) NOT NULL,
       AttrTyp_Cd           CHAR(17) NOT NULL,
       AttrRul_Strt_DtTm    TIMESTAMP NOT NULL,
       AttrRul_End_DtTm     TIMESTAMP NOT NULL,
       AttrRul_Dom_Ind      CHAR NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.attrrul values ('TBSM_LOB', 'TBSMNM', CURRENT TIMESTAMP - CURRENT TIMEZONE, '9999-01-01-00.00.00.000000', 'N');
insert into session.attrrul values ('TBSM_LOB', 'NAME', CURRENT TIMESTAMP - CURRENT TIMEZONE, '9999-01-01-00.00.00.000000', 'N');

insert into twg.attrrul
select * from session.attrrul s
where not exists (
  select 1 from
  twg.attrrul t where
  t.comptyp_cd=s.comptyp_cd and t.attrtyp_cd=s.attrtyp_cd
);

declare global temporary table msmtrul (
       CompTyp_Cd           CHAR(17) NOT NULL,
       MsmtTyp_ID           INTEGER NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.msmtrul values
  ('TBSM_LOB', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_unknown')),
  ('TBSM_LOB', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_green')),
  ('TBSM_LOB', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_yellow')),
  ('TBSM_LOB', (select msmttyp_id from twg.msmttyp where msrc_cd='GTM' and msmttyp_nm='LOB_state_red') )
;

insert into twg.msmtrul
select * from session.msmtrul s
where not exists (
  select 1 from
  twg.msmtrul t where
  t.comptyp_cd=s.comptyp_cd and t.msmttyp_id=s.msmttyp_id
);

declare global temporary table relnrul (
       CompTyp_Source_Cd    CHAR(17) NOT NULL,
       CompTyp_Target_Cd    CHAR(17) NOT NULL,
       RelnTyp_Cd           CHAR(6) NOT NULL,
       RelnRul_Strt_DtTm    TIMESTAMP NOT NULL,
       RelnRul_End_DtTm     TIMESTAMP NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.relnrul values ('TBSM_LOB', 'TBSM_LOB', 'PCHILD', CURRENT TIMESTAMP - CURRENT TIMEZONE, '9999-01-01-00.00.00.000000');

insert into twg.relnrul
select * from session.relnrul s
where not exists (
  select 1 from twg.relnrul t where
  t.comptyp_source_cd=s.comptyp_source_cd and t.comptyp_target_cd=s.comptyp_target_cd and t.relntyp_cd=s.relntyp_cd
);

----
-- Load cust and centr lookup tables
----

declare global temporary table gtm_cust_lookup (
	Cust_ID	INTEGER,
	Value	VARCHAR(120)
)
with replace on commit preserve rows not logged
;

insert into session.gtm_cust_lookup values (1, '@');

insert into gtm.cust_lookup
select * from session.gtm_cust_lookup s
where not exists (
  select 1 from gtm.cust_lookup t where
  t.cust_id=s.cust_id
);

declare global temporary table gtm_centr_lookup (
	Centr_Cd	CHAR(6),
	Value		VARCHAR(120)
)
with replace on commit preserve rows not logged
;

insert into session.gtm_centr_lookup values ('CDW', '@');

insert into gtm.centr_lookup
select * from session.gtm_centr_lookup s
where not exists (
  select 1 from gtm.centr_lookup t where
  t.centr_cd=s.centr_cd
);

----
-- Initialize prune_msmt_control for a years worth of data
----

declare global temporary table prune_msmt_control (
  MSrc_Cd                char(6) not null,
  TmSum_Cd               char not null,
  PMsmtC_Age_In_Days     decimal(8,0) not null
)
with replace on commit preserve rows not logged
;

insert into session.prune_msmt_control values
  ('GTM', 'H', 00010000)
;

insert into twg.prune_msmt_control (MSrc_Cd, TmSum_Cd, PMsmtC_Age_In_Days)
select * from session.prune_msmt_control s
where not exists (
  select 1 from
  twg.prune_msmt_control t where
  t.msrc_cd=s.msrc_cd and t.tmsum_cd=s.tmsum_cd
);

